Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl.lucene
Class DpSelectionVisitor

    java.lang.Object
      org.hibernate.search.backend.impl.lucene.DpSelectionVisitor

All Implemented Interfaces:
  WorkVisitor<DpSelectionDelegate>

    public class DpSelectionVisitor

extends java.lang.Object
implements WorkVisitor<DpSelectionDelegate>

This is the main client for IndexShardingStrategies. Only implementation of WorkVisitor, using a visitor/selector pattern for different implementations of addAsPayLoadsToQueue depending on the type of LuceneWork.

Author:
  Sanne Grinovero

Constructor Summary
`DpSelectionVisitor()`

Method Summary
`DpSelectionDelegate` | `getDelegate(AddLuceneWork addLuceneWork)`
`DpSelectionDelegate` | `getDelegate(DeleteLuceneWork deleteLuceneWork)`
`DpSelectionDelegate` | `getDelegate(OptimizeLuceneWork optimizeLuceneWork)`
`DpSelectionDelegate` | `getDelegate(PurgeAllLuceneWork purgeAllLuceneWork)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DpSelectionVisitor

    public DpSelectionVisitor()

Method Detail

### getDelegate

    public DpSelectionDelegate getDelegate(AddLuceneWork addLuceneWork)

  Specified by:
    `getDelegate` in interface `WorkVisitor<DpSelectionDelegate>`

### getDelegate

    public DpSelectionDelegate getDelegate(DeleteLuceneWork deleteLuceneWork)

  Specified by:
    `getDelegate` in interface `WorkVisitor<DpSelectionDelegate>`

### getDelegate

    public DpSelectionDelegate getDelegate(OptimizeLuceneWork optimizeLuceneWork)

  Specified by:
    `getDelegate` in interface `WorkVisitor<DpSelectionDelegate>`

### getDelegate

    public DpSelectionDelegate getDelegate(PurgeAllLuceneWork purgeAllLuceneWork)

  Specified by:
    `getDelegate` in interface `WorkVisitor<DpSelectionDelegate>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.